Bug 505109 - qemu ppc/ppc64 boot says "Boot failure! No secondary bootloader specified"
qemu ppc/ppc64 boot says "Boot failure! No secondary bootloader specified"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openbios (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-06-10 12:54 EDT by Richard W.M. Jones
Modified: 2011-06-27 10:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-06-10 12:54:37 EDT
Description of problem:

Trying to boot the libguestfs appliance using qemu-system-ppc
or qemu-system-ppc64 (on the ppc/ppc64 host) gives the following
error:

/usr/bin/qemu-system-ppc64 /usr/bin/qemu-system-ppc64 -drive file=test1.img -drive file=test2.img -drive file=test3.img -drive file=../images/test.sqsh,snapshot=on -m 384 -no-reboot -kernel ../appliance/vmlinuz.fedora-12.powerpc64 -initrd ../appliance/initramfs.fedora-12.powerpc64.img -append panic=1 console=ttyS0 guestfs=10.0.2.4:6666 guestfs_verbose=1 noapic -nographic -serial stdio -net channel,6666:unix:/tmp/libguestfsxaTTya/sock,server,nowait -net user,vlan=0 -net nic,model=virtio,vlan=0
Warning: No DNS servers found

>> =============================================================
>> OpenBIOS 1.0 [May 21 2009 16:06]
>> Configuration device id QEMU version 1 machine id 2
>> CPUs: 1
>> Memory: 384M
>> UUID: 00000000-0000-0000-0000-000000000000
>> CPU type PowerPC,750
Welcome to OpenBIOS v1.0 built on May 21 2009 16:06

>> *** Boot failure! No secondary bootloader specified ***

The full build logs are here:

http://koji.fedoraproject.org/koji/getfile?taskID=1403823&name=build.log (ppc)
http://koji.fedoraproject.org/koji/getfile?taskID=1403825&name=build.log (ppc64)

Version-Release number of selected component (if applicable):

qemu-kvm-0.10.50-6.kvm86.fc12.ppc
qemu-kvm-0.10.50-6.kvm86.fc12.ppc64

How reproducible:

Always under Koji.

Steps to Reproduce:
1. Build libguestfs on ppc or ppc64.
2. Try to run the tests ('LIBGUESTFS_DEBUG=1 make check')
  
Actual results:

Fails to boot the appliance with the error above.

Expected results:

Should run the tests.

Additional info:
Comment 1 Richard W.M. Jones 2009-06-10 13:10:10 EDT
Don't have a ppc64 box handy?  Never fear.  It's possible to
reproduce this bug on x86-64:

(1) Download http://kojipkgs.fedoraproject.org/packages/libguestfs/1.0.43/1.fc11/ppc64/libguestfs-1.0.43-1.fc11.ppc64.rpm

(2) Unpack it to get at the appliance (warning, this command will
create some subdirectories under the current directory, so do it
on /tmp):

 rpm2cpio libguestfs-1.0.43-1.fc11.ppc64.rpm | cpio -id

(3) Run:

 qemu-system-ppc64 -hda /dev/null \
   -kernel usr/lib64/guestfs/vmlinuz.fedora-12.powerpc64 \
   -initrd usr/lib64/guestfs/initramfs.fedora-12.powerpc64.img \
   -append console=ttyS0 -nographic -serial stdio

Result:

>> =============================================================
>> OpenBIOS 1.0 [May 21 2009 16:12]
>> Configuration device id QEMU version 1 machine id 2
>> CPUs: 1
>> Memory: 128M
>> UUID: 00000000-0000-0000-0000-000000000000
>> CPU type PowerPC,750
Welcome to OpenBIOS v1.0 built on May 21 2009 16:12

>> *** Boot failure! No secondary bootloader specified ***

0 > 

(How to exit the prompt?  At this point I have to kill qemu)
Comment 2 Richard W.M. Jones 2009-06-10 13:38:13 EDT
I tried it with qemu from today's git and it gets past
this error (although breaks a little further along):

$ ~/d/qemu/ppc64-softmmu/qemu-system-ppc64 -hda /dev/null -kernel usr/lib64/guestfs/vmlinuz.fedora-12.powerpc64 -initrd usr/lib64/guestfs/initramfs.fedora-12.powerpc64.img -append console=ttyS0 -nographic -serial stdio
>> =============================================================
>> OpenBIOS 1.0 [Mar 31 2009 15:35]
>> Configuration device id QEMU version 1 machine id 2
>> CPUs: 1
>> Memory: 128M
>> UUID: 00000000-0000-0000-0000-000000000000
>> CPU type PowerPC,750
Welcome to OpenBIOS v1.0 built on Mar 31 2009 15:35

>> [ppc] Kernel already loaded (0x01000000 + 0x00fa5be4) (initrd 0x01800000 + 0x01cfdf36)
>> [ppc] Kernel command line: console=ttyS0
invalid/unsupported opcode: 1e - 03 - 0f (798c83c6) 00000000010082ec 1
invalid bits: 00400000 for opcode: 0b - 19 - 15 (2d746572) 0000000000009230

I'm going to report this second issue on qemu-devel now.
Comment 3 Mark McLoughlin 2009-06-22 10:42:22 EDT
(In reply to comment #1)

> >> *** Boot failure! No secondary bootloader specified ***

Reproduced this on rawhide x86_64 using your instructions
Comment 4 Bug Zapper 2010-03-15 08:39:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-02 14:02:39 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 10:13:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.